org.keycloak.protocol.openshift

## Class OpenShiftTokenReviewResponseRepresentation

- java.lang.Object
- - org.keycloak.protocol.openshift.OpenShiftTokenReviewResponseRepresentation

- All Implemented Interfaces:
    Serializable

      public class OpenShiftTokenReviewResponseRepresentation
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OpenShiftTokenReviewResponseRepresentation.Extra`
    `static class` | `OpenShiftTokenReviewResponseRepresentation.Status`
    `static class` | `OpenShiftTokenReviewResponseRepresentation.User`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenShiftTokenReviewResponseRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApiVersion()`
    `String` | `getKind()`
    `OpenShiftTokenReviewResponseRepresentation.Status` | `getStatus()`
    `void` | `setApiVersion(String apiVersion)`
    `void` | `setKind(String kind)`
    `void` | `setStatus(OpenShiftTokenReviewResponseRepresentation.Status status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenShiftTokenReviewResponseRepresentation

          public OpenShiftTokenReviewResponseRepresentation()

  - ### Method Detail

    - #### getStatus

          public OpenShiftTokenReviewResponseRepresentation.Status getStatus()

    - #### setStatus

          public void setStatus(OpenShiftTokenReviewResponseRepresentation.Status status)

    - #### getApiVersion

          public String getApiVersion()

    - #### setApiVersion

          public void setApiVersion(String apiVersion)

    - #### getKind

          public String getKind()

    - #### setKind

          public void setKind(String kind)

Copyright © 2020 JBoss by Red Hat. All rights reserved.